"""
登录接口
"""

from flask import Blueprint
from flask import request

import api
import facebook

login_opt = Blueprint('login', __name__)

@login_opt.route('/login', methods=["POST"])
def login():
    """
    登录接口
    :return: 1-登录成功 2-需要验证码
    """
    request_body = request.json
    account = request_body.get('account')
    if not api.contain_browser(account):
        api.add_account(account)
    browser = facebook.FackBookBrowser(account)
    browser.invoke(browser.login)
    return api.success()